public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/dev/tamiko:master commit in: media-sound/pulseaudio/, media-sound/pulseaudio/files/
@ 2017-09-11 13:43 Matthias Maier
  0 siblings, 0 replies; 2+ messages in thread
From: Matthias Maier @ 2017-09-11 13:43 UTC (permalink / raw
  To: gentoo-commits

commit:     72a79e23fe3e480f248f99b6f11bbc4fe58e0941
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 11 13:43:25 2017 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Mon Sep 11 13:43:25 2017 +0000
URL:        https://gitweb.gentoo.org/repo/dev/tamiko.git/commit/?id=72a79e23

media-sound/pulseaudio: version bump to 11.0

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 media-sound/pulseaudio/Manifest                  |   1 +
 media-sound/pulseaudio/files/pulseaudio.conf.d   |   6 +
 media-sound/pulseaudio/files/pulseaudio.init.d-5 |  80 +++++
 media-sound/pulseaudio/files/pulseaudio.service  |  10 +
 media-sound/pulseaudio/files/pulseaudio.tmpfiles |   1 +
 media-sound/pulseaudio/metadata.xml              |  81 +++++
 media-sound/pulseaudio/pulseaudio-11.0.ebuild    | 365 +++++++++++++++++++++++
 7 files changed, 544 insertions(+)

diff --git a/media-sound/pulseaudio/Manifest b/media-sound/pulseaudio/Manifest
new file mode 100644
index 0000000..99435a4
--- /dev/null
+++ b/media-sound/pulseaudio/Manifest
@@ -0,0 +1 @@
+DIST pulseaudio-11.0.tar.xz 1648128 SHA256 072305d4018fc5e75bb1b45ee6b938fa52fc9fd27493bf327415ef89ed14c969 SHA512 37d0afe343c136cef1906342f17c3473f791fe17b7e6dd463ce120d45285bc12e3680b8b4b6779d79b8ce2e755fe2a0cc4d4c960209b1dae9f924731484ecded WHIRLPOOL a7ddd82f9b65fe85ee4509909e03fb8526fb1998f4d13505637a4fc4d5f379f96e279279413aa7a878b6c13e9a331b4a4b06e0c63efa7ef8e5609194d9af9018

diff --git a/media-sound/pulseaudio/files/pulseaudio.conf.d b/media-sound/pulseaudio/files/pulseaudio.conf.d
new file mode 100644
index 0000000..9e72453
--- /dev/null
+++ b/media-sound/pulseaudio/files/pulseaudio.conf.d
@@ -0,0 +1,6 @@
+# Config file for /etc/init.d/pulseaudio
+
+# For more see "pulseaudio -h".
+
+# Startup options
+PA_OPTS="--log-target=syslog --disallow-module-loading=1"

diff --git a/media-sound/pulseaudio/files/pulseaudio.init.d-5 b/media-sound/pulseaudio/files/pulseaudio.init.d-5
new file mode 100644
index 0000000..78dc519
--- /dev/null
+++ b/media-sound/pulseaudio/files/pulseaudio.init.d-5
@@ -0,0 +1,80 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+	need localmount
+	use net
+
+	local script="/etc/pulse/system.pa"
+
+	for opt in ${PA_OPTS}; do
+		case "$opt" in
+			--file=*)	script="${opt#*=}" ;;
+			-F*)		script="${opt#-F}" ;;
+		esac
+	done
+
+	config "$script"
+
+	local needs="$(get_options need)"
+	if [ -n "${needs}" ]; then
+		need ${needs}
+		return
+	fi
+
+	if egrep -q '^[[:space:]]*load-module[[:space:]]+module-console-kit' "$script"; then
+	    needs="${needs} consolekit"
+	fi
+
+#ifdef UDEV
+	if egrep -q '^[[:space:]]*load-module[[:space:]]+module-udev-detect' "$script"; then
+	    needs="${needs} udev"
+	fi
+#endif
+
+#ifdef AVAHI
+	if egrep -q '^[[:space:]]*load-module[[:space:]]+module-zeroconf-publish' "$script"; then
+	    needs="${needs} avahi-daemon"
+	fi
+#endif
+
+#ifdef BLUETOOTH
+	if egrep -q '^[[:space:]]*load-module[[:space:]]+module-bt-proximity' "$script"; then
+	    needs="${needs} bluetooth"
+	fi
+#endif
+
+#ifdef ALSA
+	if egrep -q '^[[:space:]]*load-module[[:space:]]+module-alsa-(sink|source)' "$script" || 
+	    egrep -q '^[[:space:]]*load-module[[:space:]]+module-(udev-)?detect' "$script" ||
+	    egrep -q '^[[:space:]]*add-autoload-source[[:space:]]+(input|output)[[:space:]]+module-alsa-(sink|source)' "$script"; then
+	    needs="${needs} alsasound"
+	fi
+#endif
+
+	need "${needs}"
+	save_options need "${needs}"
+}
+
+start() {
+	if [ -z "${PULSEAUDIO_SHOULD_NOT_GO_SYSTEMWIDE}" ]; then
+		eerror "Please don't use system wide PulseAudio unless you read the"
+		eerror "documentation available at http://www.pulseaudio.org/wiki/WhatIsWrongWithSystemMode"
+		eerror ""
+		eerror "When you're done, please set the variable PULSEAUDIO_SHOULD_NOT_GO_SYSTEMWIDE in"
+		eerror "/etc/conf.d/pulseaudio . Please remember that upstream does not support this mode"
+		eerror "when used for standard desktop configurations."
+		return 1
+	fi
+	ebegin "Starting pulseaudio"
+	PA_ALL_OPTS="${PA_OPTS} --fail=1 --daemonize=1 --system"
+	start-stop-daemon --start --exec /usr/bin/pulseaudio -- ${PA_ALL_OPTS}
+	eend $?
+}
+
+stop() {
+	ebegin "Stopping pulseaudio"
+	start-stop-daemon --stop --quiet --exec /usr/bin/pulseaudio --pidfile /var/run/pulse/pid
+	eend $?
+}

diff --git a/media-sound/pulseaudio/files/pulseaudio.service b/media-sound/pulseaudio/files/pulseaudio.service
new file mode 100644
index 0000000..c5f0d57
--- /dev/null
+++ b/media-sound/pulseaudio/files/pulseaudio.service
@@ -0,0 +1,10 @@
+[Unit]
+Description=System wide PulseAudio instance
+After=syslog.target network.target alsasound.service
+
+[Service]
+Restart=always
+ExecStart=/usr/bin/pulseaudio --system --log-target=syslog
+
+[Install]
+WantedBy=multi-user.target

diff --git a/media-sound/pulseaudio/files/pulseaudio.tmpfiles b/media-sound/pulseaudio/files/pulseaudio.tmpfiles
new file mode 100644
index 0000000..88374e3
--- /dev/null
+++ b/media-sound/pulseaudio/files/pulseaudio.tmpfiles
@@ -0,0 +1 @@
+d /var/run/pulse 0755 pulse audio -

diff --git a/media-sound/pulseaudio/metadata.xml b/media-sound/pulseaudio/metadata.xml
new file mode 100644
index 0000000..e35348f
--- /dev/null
+++ b/media-sound/pulseaudio/metadata.xml
@@ -0,0 +1,81 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>gnome@gentoo.org</email>
+    <name>Gentoo GNOME Desktop</name>
+  </maintainer>
+  <maintainer type="project">
+    <email>sound@gentoo.org</email>
+    <name>Gentoo Sound project</name>
+  </maintainer>
+  <use>
+    <flag name="X">
+      Build the X11 publish module to export PulseAudio information
+      through X11 protocol for clients to make use. Don't enable this
+      flag if you want to use a system wide instance. If unsure, enable
+      this flag.
+    </flag>
+    <flag name="alsa-plugin">
+      Request installing <pkg>media-plugins/alsa-plugins</pkg> with
+      PulseAudio plugin enabled. This ensures that clients supporting
+      ALSA only will use PulseAudio.
+    </flag>
+    <flag name="gnome">
+      Use GConf to store user preferences on streams and so on. Don't
+      enable this flag if you want to use a system wide instance. If
+      unsure, enable this flag.
+    </flag>
+    <flag name="oss">
+      Enable OSS sink/source (output/input). Deprecated, upstream does
+      not support this on systems where other sink/source systems are
+      available (i.e.: Linux). The padsp wrapper is now always build
+      if the system supports OSS at all.
+    </flag>
+    <flag name="glib">
+      Add support to <pkg>dev-libs/glib</pkg>-based mainloop for the
+      libpulse client library, to allow using libpulse on glib-based
+      programs.
+    </flag>
+    <flag name="system-wide" restrict="&gt;=media-sound/pulseaudio-0.9.21.1">
+      Allow preparation and installation of the system-wide init
+      script for PulseAudio. Since this support is only supported for
+      embedded situations, do not enable without reading the upstream
+      instructions at
+	  https://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/WhatIsWrongWithSystemWide/ .
+    </flag>
+    <flag name="asyncns">Use libasyncns for asynchronous name resolution.</flag>
+    <flag name="doc">Build the doxygen-described API documentation.</flag>
+    <flag name="realtime" restrict="&gt;=media-sound/pulseaudio-0.9.21.2-r1">
+      Makes PulseAudio use RealtimeKit (<pkg>sys-auth/rtkit</pkg>) to get
+      real-time priority while running.
+    </flag>
+    <flag name="equalizer">
+      Enable the equalizer module (requires <pkg>sci-libs/fftw</pkg>).
+    </flag>
+    <flag name="ssl">
+      Use <pkg>dev-libs/openssl</pkg> to provide support for RAOP
+      (AirPort) streaming.
+    </flag>
+    <flag name="gdbm">
+      Use <pkg>sys-libs/gdbm</pkg> to store PulseAudio
+      databases. Recommended for desktop usage. This flag causes the
+      whole package to be licensed under GPL-2 or later.
+    </flag>
+    <flag name="webrtc-aec">
+      Uses the webrtc.org AudioProcessing library for enhancing VoIP calls
+      greatly in applications that support it by performing acoustic echo
+      cancellation, analog gain control, noise suppression and other processing.
+    </flag>
+    <flag name="systemd">
+      Build with <pkg>sys-apps/systemd</pkg> support to replace standalone
+      ConsoleKit.
+    </flag>
+    <flag name="native-headset">
+      Build with native HSP backend for bluez 5.
+    </flag>
+    <flag name="ofono-headset">
+      Build with oFono HFP backend for bluez 5, requires <pkg>net-misc/ofono</pkg>.
+    </flag>
+  </use>
+</pkgmetadata>

diff --git a/media-sound/pulseaudio/pulseaudio-11.0.ebuild b/media-sound/pulseaudio/pulseaudio-11.0.ebuild
new file mode 100644
index 0000000..54df4e0
--- /dev/null
+++ b/media-sound/pulseaudio/pulseaudio-11.0.ebuild
@@ -0,0 +1,365 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools bash-completion-r1 eutils flag-o-matic gnome2-utils linux-info systemd user versionator udev multilib-minimal
+
+DESCRIPTION="A networked sound server with an advanced plugin system"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/PulseAudio/"
+SRC_URI="https://freedesktop.org/software/pulseaudio/releases/${P}.tar.xz"
+
+# libpulse-simple and libpulse link to libpulse-core; this is daemon's
+# library and can link to gdbm and other GPL-only libraries. In this
+# cases, we have a fully GPL-2 package. Leaving the rest of the
+# GPL-forcing USE flags for those who use them.
+# qpaeq equalizer pyqt GUI frontend is AGPL-3+
+LICENSE="!gdbm? ( LGPL-2.1 ) gdbm? ( GPL-2 ) equalizer? ( AGPL-3+ )"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
+
+# +alsa-plugin as discussed in bug #519530
+IUSE="+alsa +alsa-plugin +asyncns bluetooth +caps dbus doc equalizer +gdbm +glib
+gnome gtk ipv6 jack libsamplerate libressl lirc native-headset neon ofono-headset
++orc oss qt4 realtime selinux sox ssl systemd system-wide tcpd test +udev
++webrtc-aec +X zeroconf"
+
+# See "*** BLUEZ support not found (requires D-Bus)" in configure.ac
+REQUIRED_USE="
+	bluetooth? ( dbus )
+	equalizer? ( dbus )
+	ofono-headset? ( bluetooth )
+	native-headset? ( bluetooth )
+	udev? ( || ( alsa oss ) )
+"
+
+# libpcre needed in some cases, bug #472228
+RDEPEND="
+	|| (
+		elibc_glibc? ( virtual/libc )
+		elibc_uclibc? ( virtual/libc )
+		dev-libs/libpcre
+	)
+	>=media-libs/libsndfile-1.0.20[${MULTILIB_USEDEP}]
+	X? (
+		>=x11-libs/libX11-1.4.0[${MULTILIB_USEDEP}]
+		>=x11-libs/libxcb-1.6[${MULTILIB_USEDEP}]
+		x11-libs/libSM[${MULTILIB_USEDEP}]
+		x11-libs/libICE[${MULTILIB_USEDEP}]
+		x11-libs/libXtst[${MULTILIB_USEDEP}]
+	)
+	caps? ( >=sys-libs/libcap-2.22-r2[${MULTILIB_USEDEP}] )
+	libsamplerate? ( >=media-libs/libsamplerate-0.1.1-r1 )
+	alsa? ( >=media-libs/alsa-lib-1.0.19 )
+	glib? ( >=dev-libs/glib-2.4.0:2[${MULTILIB_USEDEP}] )
+	zeroconf? ( >=net-dns/avahi-0.6.12[dbus] )
+	jack? ( virtual/jack )
+	tcpd? ( sys-apps/tcp-wrappers[${MULTILIB_USEDEP}] )
+	lirc? ( app-misc/lirc )
+	dbus? ( >=sys-apps/dbus-1.0.0[${MULTILIB_USEDEP}] )
+	gtk? ( x11-libs/gtk+:3 )
+	gnome? ( >=gnome-base/gconf-2.4.0 )
+	bluetooth? (
+		>=net-wireless/bluez-5
+		>=sys-apps/dbus-1.0.0
+		media-libs/sbc
+	)
+	asyncns? ( net-libs/libasyncns[${MULTILIB_USEDEP}] )
+	udev? ( >=virtual/udev-143[hwdb(+)] )
+	realtime? ( sys-auth/rtkit )
+	equalizer? ( sci-libs/fftw:3.0 )
+	ofono-headset? ( >=net-misc/ofono-1.13 )
+	orc? ( >=dev-lang/orc-0.4.15 )
+	sox? ( >=media-libs/soxr-0.1.1 )
+	ssl? (
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:= )
+	)
+	|| (
+		(
+			>=media-libs/speex-1.2.0
+			media-libs/speexdsp
+		)
+		(
+			<media-libs/speex-1.2.0
+			>=media-libs/speex-1.2_rc1
+		)
+	)
+	gdbm? ( sys-libs/gdbm )
+	webrtc-aec? ( >=media-libs/webrtc-audio-processing-0.2 )
+	systemd? ( sys-apps/systemd:0=[${MULTILIB_USEDEP}] )
+	dev-libs/libltdl:0
+	selinux? ( sec-policy/selinux-pulseaudio )
+"
+# it's a valid RDEPEND, libltdl.so is used for native abi
+
+DEPEND="${RDEPEND}
+	sys-devel/m4
+	doc? ( app-doc/doxygen )
+	test? ( >=dev-libs/check-0.9.10 )
+	X? (
+		x11-proto/xproto[${MULTILIB_USEDEP}]
+		>=x11-libs/libXtst-1.0.99.2[${MULTILIB_USEDEP}]
+	)
+	dev-libs/libatomic_ops
+	virtual/pkgconfig
+	system-wide? ( || ( dev-util/unifdef sys-freebsd/freebsd-ubin ) )
+	dev-util/intltool
+	>=sys-devel/gettext-0.18.1
+"
+# This is a PDEPEND to avoid a circular dep
+PDEPEND="
+	alsa? ( alsa-plugin? ( >=media-plugins/alsa-plugins-1.0.27-r1[pulseaudio,${MULTILIB_USEDEP}] ) )
+"
+
+# alsa-utils dep is for the alsasound init.d script (see bug #155707)
+# bluez dep is for the bluetooth init.d script
+# PyQt4 dep is for the qpaeq script
+RDEPEND="${RDEPEND}
+	equalizer? ( qt4? ( dev-python/PyQt4[dbus] ) )
+	system-wide? (
+		alsa? ( media-sound/alsa-utils )
+		bluetooth? ( >=net-wireless/bluez-5 )
+	)
+"
+
+pkg_pretend() {
+	CONFIG_CHECK="~HIGH_RES_TIMERS"
+	WARNING_HIGH_RES_TIMERS="CONFIG_HIGH_RES_TIMERS:\tis not set (required for enabling timer-based scheduling in pulseaudio)\n"
+	check_extra_config
+
+	if linux_config_exists; then
+		local snd_hda_prealloc_size=$(linux_chkconfig_string SND_HDA_PREALLOC_SIZE)
+		if [ -n "${snd_hda_prealloc_size}" ] && [ "${snd_hda_prealloc_size}" -lt 2048 ]; then
+			ewarn "A preallocated buffer-size of 2048 (kB) or higher is recommended for the HD-audio driver!"
+			ewarn "CONFIG_SND_HDA_PREALLOC_SIZE=${snd_hda_prealloc_size}"
+		fi
+	fi
+}
+
+pkg_setup() {
+	linux-info_pkg_setup
+	gnome2_environment_reset #543364
+
+	enewgroup audio 18 # Just make sure it exists
+
+	if use system-wide; then
+		enewgroup pulse-access
+		enewgroup pulse
+		enewuser pulse -1 -1 /var/run/pulse pulse,audio
+	fi
+}
+
+src_prepare() {
+	default
+
+	# Skip test that cannot work with sandbox, bug #501846
+	sed -i -e '/lock-autospawn-test/d' src/Makefile.am || die
+
+	eautoreconf
+}
+
+multilib_src_configure() {
+	local myconf=()
+
+	if use gdbm; then
+		myconf+=( --with-database=gdbm )
+	else
+		myconf+=( --with-database=simple )
+	fi
+
+	if use bluetooth; then
+		if multilib_is_native_abi; then
+			myconf+=( --enable-bluez5 --disable-bluez4
+				$(use_enable native-headset bluez5-native-headset)
+				$(use_enable ofono-headset bluez5-ofono-headset) )
+		fi
+	else
+		myconf+=( --disable-bluez5 --disable-bluez4 )
+	fi
+
+	myconf+=(
+		--enable-largefile
+		$(use_enable glib glib2)
+		--disable-solaris
+		$(use_enable asyncns)
+		$(use_enable oss oss-output)
+		$(use_enable alsa)
+		$(use_enable lirc)
+		$(use_enable neon neon-opt)
+		$(use_enable tcpd tcpwrap)
+		$(use_enable jack)
+		$(use_enable zeroconf avahi)
+		$(use_enable dbus)
+		$(use_enable gnome gconf)
+		$(use_enable gtk gtk3)
+		$(use_enable libsamplerate samplerate)
+		$(use_enable orc)
+		$(use_enable X x11)
+		$(use_enable test default-build-tests)
+		$(use_enable udev)
+		$(use_with sox soxr)
+		$(use_enable systemd systemd-daemon)
+		$(use_enable systemd systemd-login)
+		$(use_enable systemd systemd-journal)
+		$(use_enable ipv6)
+		$(use_enable ssl openssl)
+		$(use_enable webrtc-aec)
+		$(use_with caps)
+		$(use_with equalizer fftw)
+		--disable-adrian-aec
+		--disable-esound
+		--localstatedir="${EPREFIX}"/var
+		--with-udev-rules-dir="${EPREFIX}/$(get_udevdir)"/rules.d
+		--with-systemduserunitdir=$(systemd_get_userunitdir)
+	)
+
+	if ! multilib_is_native_abi; then
+		# disable all the modules and stuff
+		myconf+=(
+			--disable-oss-output
+			--disable-alsa
+			--disable-lirc
+			--disable-jack
+			--disable-avahi
+			--disable-gconf
+			--disable-gtk3
+			--disable-samplerate
+			--disable-bluez4
+			--disable-bluez5
+			--disable-udev
+			--disable-openssl
+			--disable-orc
+			--disable-webrtc-aec
+			--without-fftw
+			--without-soxr
+
+			# tests involve random modules, so just do them for the native
+			--disable-default-build-tests
+
+			# hack around unnecessary checks
+			# (results don't matter, we're not building anything using it)
+			ac_cv_lib_ltdl_lt_dladvise_init=yes
+			--with-database=simple
+			LIBSPEEX_CFLAGS=' '
+			LIBSPEEX_LIBS=' '
+		)
+	fi
+
+	ECONF_SOURCE=${S} \
+	econf "${myconf[@]}"
+}
+
+multilib_src_compile() {
+	if multilib_is_native_abi; then
+		emake
+		use doc && emake doxygen
+	else
+		local targets=( libpulse.la libpulse-simple.la )
+		use glib && targets+=( libpulse-mainloop-glib.la )
+		emake -C src libpulse{,dsp,-simple,-mainloop-glib}.la
+	fi
+}
+
+multilib_src_test() {
+	# We avoid running the toplevel check target because that will run
+	# po/'s tests too, and they are broken. Officially, it should work
+	# with intltool 0.41, but that doesn't look like a stable release.
+	if multilib_is_native_abi; then
+		emake -C src check
+	fi
+}
+
+multilib_src_install() {
+	if multilib_is_native_abi; then
+		emake -j1 DESTDIR="${D}" bashcompletiondir="$(get_bashcompdir)" install
+		use doc && dohtml -r doxygen/html/
+	else
+		local targets=( libpulse.la libpulse-simple.la )
+		use glib && targets+=( libpulse-mainloop-glib.la )
+		emake DESTDIR="${D}" install-pkgconfigDATA
+		emake DESTDIR="${D}" -C src \
+			install-libLTLIBRARIES \
+			install-padsplibLTLIBRARIES \
+			lib_LTLIBRARIES="${targets[*]}" \
+			install-pulseincludeHEADERS
+	fi
+}
+
+multilib_src_install_all() {
+	# Drop the script entirely if X is disabled
+	use X || rm "${ED}"/usr/bin/start-pulseaudio-x11
+
+	if use system-wide; then
+		newconfd "${FILESDIR}/pulseaudio.conf.d" pulseaudio
+
+		use_define() {
+			local define=${2:-$(echo $1 | tr '[:lower:]' '[:upper:]')}
+
+			use "$1" && echo "-D$define" || echo "-U$define"
+		}
+
+		unifdef $(use_define zeroconf AVAHI) \
+			$(use_define alsa) \
+			$(use_define bluetooth) \
+			$(use_define udev) \
+			"${FILESDIR}/pulseaudio.init.d-5" \
+			> "${T}/pulseaudio"
+
+		doinitd "${T}/pulseaudio"
+
+		systemd_dounit "${FILESDIR}/${PN}.service"
+	fi
+
+	use zeroconf && sed -i -e '/module-zeroconf-publish/s:^#::' "${ED}/etc/pulse/default.pa"
+
+	dodoc NEWS README todo
+
+	# Create the state directory
+	use prefix || diropts -o pulse -g pulse -m0755
+
+	# We need /var/run/pulse, bug #442852
+	use system-wide && systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles" "${PN}.conf"
+
+	# Prevent warnings when system-wide is not used, bug #447694
+	use system-wide || rm "${ED}"/etc/dbus-1/system.d/pulseaudio-system.conf
+
+	prune_libtool_files --all
+}
+
+pkg_postinst() {
+	if use system-wide; then
+		elog "You have enabled the 'system-wide' USE flag for pulseaudio."
+		elog "This mode should only be used on headless servers, embedded systems,"
+		elog "or thin clients. It will usually require manual configuration, and is"
+		elog "incompatible with many expected pulseaudio features."
+		elog "On normal desktop systems, system-wide mode is STRONGLY DISCOURAGED."
+		elog "For more information, see"
+		elog "    https://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/WhatIsWrongWithSystemWide/"
+		elog "    https://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/SystemWide/"
+		elog "    https://wiki.gentoo.org/wiki/PulseAudio#Headless_server"
+		if use gnome ; then
+			elog
+			elog "By enabling gnome USE flag, you enabled gconf support. Please note"
+			elog "that you might need to remove the gnome USE flag or disable the"
+			elog "gconf module on /etc/pulse/system.pa to be able to use PulseAudio"
+			elog "with a system-wide instance."
+		fi
+	fi
+
+	if use equalizer && ! use qt4; then
+		elog "You've enabled the 'equalizer' USE-flag but not the 'qt4' USE-flag."
+		elog "This will build the equalizer module, but the 'qpaeq' tool"
+		elog "which is required to set equalizer levels will not work."
+	fi
+
+	if use native-headset && use ofono-headset; then
+		elog "You have enabled both native and ofono headset profiles. The runtime decision"
+		elog "which to use is done via the 'headset' argument of module-bluetooth-discover."
+	fi
+
+	if use libsamplerate; then
+		elog "The libsamplerate based resamplers are now deprecated, because they offer no"
+		elog "particular advantage over speex. Upstream suggests disabling them."
+	fi
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/dev/tamiko:master commit in: media-sound/pulseaudio/, media-sound/pulseaudio/files/
@ 2019-08-12 20:09 Matthias Maier
  0 siblings, 0 replies; 2+ messages in thread
From: Matthias Maier @ 2019-08-12 20:09 UTC (permalink / raw
  To: gentoo-commits

commit:     6214be96b167b94bbd050e91a33bca4616b48419
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 12 20:08:37 2019 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Mon Aug 12 20:09:38 2019 +0000
URL:        https://gitweb.gentoo.org/repo/dev/tamiko.git/commit/?id=6214be96

media-sound/pulseaudio: remove package

Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 media-sound/pulseaudio/Manifest                  |   1 -
 media-sound/pulseaudio/files/pulseaudio.conf.d   |   6 -
 media-sound/pulseaudio/files/pulseaudio.init.d-5 |  80 -----
 media-sound/pulseaudio/files/pulseaudio.service  |  10 -
 media-sound/pulseaudio/files/pulseaudio.tmpfiles |   1 -
 media-sound/pulseaudio/metadata.xml              |  81 -----
 media-sound/pulseaudio/pulseaudio-11.0.ebuild    | 365 -----------------------
 7 files changed, 544 deletions(-)

diff --git a/media-sound/pulseaudio/Manifest b/media-sound/pulseaudio/Manifest
deleted file mode 100644
index 99435a4..0000000
--- a/media-sound/pulseaudio/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST pulseaudio-11.0.tar.xz 1648128 SHA256 072305d4018fc5e75bb1b45ee6b938fa52fc9fd27493bf327415ef89ed14c969 SHA512 37d0afe343c136cef1906342f17c3473f791fe17b7e6dd463ce120d45285bc12e3680b8b4b6779d79b8ce2e755fe2a0cc4d4c960209b1dae9f924731484ecded WHIRLPOOL a7ddd82f9b65fe85ee4509909e03fb8526fb1998f4d13505637a4fc4d5f379f96e279279413aa7a878b6c13e9a331b4a4b06e0c63efa7ef8e5609194d9af9018

diff --git a/media-sound/pulseaudio/files/pulseaudio.conf.d b/media-sound/pulseaudio/files/pulseaudio.conf.d
deleted file mode 100644
index 9e72453..0000000
--- a/media-sound/pulseaudio/files/pulseaudio.conf.d
+++ /dev/null
@@ -1,6 +0,0 @@
-# Config file for /etc/init.d/pulseaudio
-
-# For more see "pulseaudio -h".
-
-# Startup options
-PA_OPTS="--log-target=syslog --disallow-module-loading=1"

diff --git a/media-sound/pulseaudio/files/pulseaudio.init.d-5 b/media-sound/pulseaudio/files/pulseaudio.init.d-5
deleted file mode 100644
index 78dc519..0000000
--- a/media-sound/pulseaudio/files/pulseaudio.init.d-5
+++ /dev/null
@@ -1,80 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-depend() {
-	need localmount
-	use net
-
-	local script="/etc/pulse/system.pa"
-
-	for opt in ${PA_OPTS}; do
-		case "$opt" in
-			--file=*)	script="${opt#*=}" ;;
-			-F*)		script="${opt#-F}" ;;
-		esac
-	done
-
-	config "$script"
-
-	local needs="$(get_options need)"
-	if [ -n "${needs}" ]; then
-		need ${needs}
-		return
-	fi
-
-	if egrep -q '^[[:space:]]*load-module[[:space:]]+module-console-kit' "$script"; then
-	    needs="${needs} consolekit"
-	fi
-
-#ifdef UDEV
-	if egrep -q '^[[:space:]]*load-module[[:space:]]+module-udev-detect' "$script"; then
-	    needs="${needs} udev"
-	fi
-#endif
-
-#ifdef AVAHI
-	if egrep -q '^[[:space:]]*load-module[[:space:]]+module-zeroconf-publish' "$script"; then
-	    needs="${needs} avahi-daemon"
-	fi
-#endif
-
-#ifdef BLUETOOTH
-	if egrep -q '^[[:space:]]*load-module[[:space:]]+module-bt-proximity' "$script"; then
-	    needs="${needs} bluetooth"
-	fi
-#endif
-
-#ifdef ALSA
-	if egrep -q '^[[:space:]]*load-module[[:space:]]+module-alsa-(sink|source)' "$script" || 
-	    egrep -q '^[[:space:]]*load-module[[:space:]]+module-(udev-)?detect' "$script" ||
-	    egrep -q '^[[:space:]]*add-autoload-source[[:space:]]+(input|output)[[:space:]]+module-alsa-(sink|source)' "$script"; then
-	    needs="${needs} alsasound"
-	fi
-#endif
-
-	need "${needs}"
-	save_options need "${needs}"
-}
-
-start() {
-	if [ -z "${PULSEAUDIO_SHOULD_NOT_GO_SYSTEMWIDE}" ]; then
-		eerror "Please don't use system wide PulseAudio unless you read the"
-		eerror "documentation available at http://www.pulseaudio.org/wiki/WhatIsWrongWithSystemMode"
-		eerror ""
-		eerror "When you're done, please set the variable PULSEAUDIO_SHOULD_NOT_GO_SYSTEMWIDE in"
-		eerror "/etc/conf.d/pulseaudio . Please remember that upstream does not support this mode"
-		eerror "when used for standard desktop configurations."
-		return 1
-	fi
-	ebegin "Starting pulseaudio"
-	PA_ALL_OPTS="${PA_OPTS} --fail=1 --daemonize=1 --system"
-	start-stop-daemon --start --exec /usr/bin/pulseaudio -- ${PA_ALL_OPTS}
-	eend $?
-}
-
-stop() {
-	ebegin "Stopping pulseaudio"
-	start-stop-daemon --stop --quiet --exec /usr/bin/pulseaudio --pidfile /var/run/pulse/pid
-	eend $?
-}

diff --git a/media-sound/pulseaudio/files/pulseaudio.service b/media-sound/pulseaudio/files/pulseaudio.service
deleted file mode 100644
index c5f0d57..0000000
--- a/media-sound/pulseaudio/files/pulseaudio.service
+++ /dev/null
@@ -1,10 +0,0 @@
-[Unit]
-Description=System wide PulseAudio instance
-After=syslog.target network.target alsasound.service
-
-[Service]
-Restart=always
-ExecStart=/usr/bin/pulseaudio --system --log-target=syslog
-
-[Install]
-WantedBy=multi-user.target

diff --git a/media-sound/pulseaudio/files/pulseaudio.tmpfiles b/media-sound/pulseaudio/files/pulseaudio.tmpfiles
deleted file mode 100644
index 88374e3..0000000
--- a/media-sound/pulseaudio/files/pulseaudio.tmpfiles
+++ /dev/null
@@ -1 +0,0 @@
-d /var/run/pulse 0755 pulse audio -

diff --git a/media-sound/pulseaudio/metadata.xml b/media-sound/pulseaudio/metadata.xml
deleted file mode 100644
index e35348f..0000000
--- a/media-sound/pulseaudio/metadata.xml
+++ /dev/null
@@ -1,81 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-  <maintainer type="project">
-    <email>gnome@gentoo.org</email>
-    <name>Gentoo GNOME Desktop</name>
-  </maintainer>
-  <maintainer type="project">
-    <email>sound@gentoo.org</email>
-    <name>Gentoo Sound project</name>
-  </maintainer>
-  <use>
-    <flag name="X">
-      Build the X11 publish module to export PulseAudio information
-      through X11 protocol for clients to make use. Don't enable this
-      flag if you want to use a system wide instance. If unsure, enable
-      this flag.
-    </flag>
-    <flag name="alsa-plugin">
-      Request installing <pkg>media-plugins/alsa-plugins</pkg> with
-      PulseAudio plugin enabled. This ensures that clients supporting
-      ALSA only will use PulseAudio.
-    </flag>
-    <flag name="gnome">
-      Use GConf to store user preferences on streams and so on. Don't
-      enable this flag if you want to use a system wide instance. If
-      unsure, enable this flag.
-    </flag>
-    <flag name="oss">
-      Enable OSS sink/source (output/input). Deprecated, upstream does
-      not support this on systems where other sink/source systems are
-      available (i.e.: Linux). The padsp wrapper is now always build
-      if the system supports OSS at all.
-    </flag>
-    <flag name="glib">
-      Add support to <pkg>dev-libs/glib</pkg>-based mainloop for the
-      libpulse client library, to allow using libpulse on glib-based
-      programs.
-    </flag>
-    <flag name="system-wide" restrict="&gt;=media-sound/pulseaudio-0.9.21.1">
-      Allow preparation and installation of the system-wide init
-      script for PulseAudio. Since this support is only supported for
-      embedded situations, do not enable without reading the upstream
-      instructions at
-	  https://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/WhatIsWrongWithSystemWide/ .
-    </flag>
-    <flag name="asyncns">Use libasyncns for asynchronous name resolution.</flag>
-    <flag name="doc">Build the doxygen-described API documentation.</flag>
-    <flag name="realtime" restrict="&gt;=media-sound/pulseaudio-0.9.21.2-r1">
-      Makes PulseAudio use RealtimeKit (<pkg>sys-auth/rtkit</pkg>) to get
-      real-time priority while running.
-    </flag>
-    <flag name="equalizer">
-      Enable the equalizer module (requires <pkg>sci-libs/fftw</pkg>).
-    </flag>
-    <flag name="ssl">
-      Use <pkg>dev-libs/openssl</pkg> to provide support for RAOP
-      (AirPort) streaming.
-    </flag>
-    <flag name="gdbm">
-      Use <pkg>sys-libs/gdbm</pkg> to store PulseAudio
-      databases. Recommended for desktop usage. This flag causes the
-      whole package to be licensed under GPL-2 or later.
-    </flag>
-    <flag name="webrtc-aec">
-      Uses the webrtc.org AudioProcessing library for enhancing VoIP calls
-      greatly in applications that support it by performing acoustic echo
-      cancellation, analog gain control, noise suppression and other processing.
-    </flag>
-    <flag name="systemd">
-      Build with <pkg>sys-apps/systemd</pkg> support to replace standalone
-      ConsoleKit.
-    </flag>
-    <flag name="native-headset">
-      Build with native HSP backend for bluez 5.
-    </flag>
-    <flag name="ofono-headset">
-      Build with oFono HFP backend for bluez 5, requires <pkg>net-misc/ofono</pkg>.
-    </flag>
-  </use>
-</pkgmetadata>

diff --git a/media-sound/pulseaudio/pulseaudio-11.0.ebuild b/media-sound/pulseaudio/pulseaudio-11.0.ebuild
deleted file mode 100644
index 54df4e0..0000000
--- a/media-sound/pulseaudio/pulseaudio-11.0.ebuild
+++ /dev/null
@@ -1,365 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit autotools bash-completion-r1 eutils flag-o-matic gnome2-utils linux-info systemd user versionator udev multilib-minimal
-
-DESCRIPTION="A networked sound server with an advanced plugin system"
-HOMEPAGE="https://www.freedesktop.org/wiki/Software/PulseAudio/"
-SRC_URI="https://freedesktop.org/software/pulseaudio/releases/${P}.tar.xz"
-
-# libpulse-simple and libpulse link to libpulse-core; this is daemon's
-# library and can link to gdbm and other GPL-only libraries. In this
-# cases, we have a fully GPL-2 package. Leaving the rest of the
-# GPL-forcing USE flags for those who use them.
-# qpaeq equalizer pyqt GUI frontend is AGPL-3+
-LICENSE="!gdbm? ( LGPL-2.1 ) gdbm? ( GPL-2 ) equalizer? ( AGPL-3+ )"
-
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
-
-# +alsa-plugin as discussed in bug #519530
-IUSE="+alsa +alsa-plugin +asyncns bluetooth +caps dbus doc equalizer +gdbm +glib
-gnome gtk ipv6 jack libsamplerate libressl lirc native-headset neon ofono-headset
-+orc oss qt4 realtime selinux sox ssl systemd system-wide tcpd test +udev
-+webrtc-aec +X zeroconf"
-
-# See "*** BLUEZ support not found (requires D-Bus)" in configure.ac
-REQUIRED_USE="
-	bluetooth? ( dbus )
-	equalizer? ( dbus )
-	ofono-headset? ( bluetooth )
-	native-headset? ( bluetooth )
-	udev? ( || ( alsa oss ) )
-"
-
-# libpcre needed in some cases, bug #472228
-RDEPEND="
-	|| (
-		elibc_glibc? ( virtual/libc )
-		elibc_uclibc? ( virtual/libc )
-		dev-libs/libpcre
-	)
-	>=media-libs/libsndfile-1.0.20[${MULTILIB_USEDEP}]
-	X? (
-		>=x11-libs/libX11-1.4.0[${MULTILIB_USEDEP}]
-		>=x11-libs/libxcb-1.6[${MULTILIB_USEDEP}]
-		x11-libs/libSM[${MULTILIB_USEDEP}]
-		x11-libs/libICE[${MULTILIB_USEDEP}]
-		x11-libs/libXtst[${MULTILIB_USEDEP}]
-	)
-	caps? ( >=sys-libs/libcap-2.22-r2[${MULTILIB_USEDEP}] )
-	libsamplerate? ( >=media-libs/libsamplerate-0.1.1-r1 )
-	alsa? ( >=media-libs/alsa-lib-1.0.19 )
-	glib? ( >=dev-libs/glib-2.4.0:2[${MULTILIB_USEDEP}] )
-	zeroconf? ( >=net-dns/avahi-0.6.12[dbus] )
-	jack? ( virtual/jack )
-	tcpd? ( sys-apps/tcp-wrappers[${MULTILIB_USEDEP}] )
-	lirc? ( app-misc/lirc )
-	dbus? ( >=sys-apps/dbus-1.0.0[${MULTILIB_USEDEP}] )
-	gtk? ( x11-libs/gtk+:3 )
-	gnome? ( >=gnome-base/gconf-2.4.0 )
-	bluetooth? (
-		>=net-wireless/bluez-5
-		>=sys-apps/dbus-1.0.0
-		media-libs/sbc
-	)
-	asyncns? ( net-libs/libasyncns[${MULTILIB_USEDEP}] )
-	udev? ( >=virtual/udev-143[hwdb(+)] )
-	realtime? ( sys-auth/rtkit )
-	equalizer? ( sci-libs/fftw:3.0 )
-	ofono-headset? ( >=net-misc/ofono-1.13 )
-	orc? ( >=dev-lang/orc-0.4.15 )
-	sox? ( >=media-libs/soxr-0.1.1 )
-	ssl? (
-		!libressl? ( dev-libs/openssl:0= )
-		libressl? ( dev-libs/libressl:= )
-	)
-	|| (
-		(
-			>=media-libs/speex-1.2.0
-			media-libs/speexdsp
-		)
-		(
-			<media-libs/speex-1.2.0
-			>=media-libs/speex-1.2_rc1
-		)
-	)
-	gdbm? ( sys-libs/gdbm )
-	webrtc-aec? ( >=media-libs/webrtc-audio-processing-0.2 )
-	systemd? ( sys-apps/systemd:0=[${MULTILIB_USEDEP}] )
-	dev-libs/libltdl:0
-	selinux? ( sec-policy/selinux-pulseaudio )
-"
-# it's a valid RDEPEND, libltdl.so is used for native abi
-
-DEPEND="${RDEPEND}
-	sys-devel/m4
-	doc? ( app-doc/doxygen )
-	test? ( >=dev-libs/check-0.9.10 )
-	X? (
-		x11-proto/xproto[${MULTILIB_USEDEP}]
-		>=x11-libs/libXtst-1.0.99.2[${MULTILIB_USEDEP}]
-	)
-	dev-libs/libatomic_ops
-	virtual/pkgconfig
-	system-wide? ( || ( dev-util/unifdef sys-freebsd/freebsd-ubin ) )
-	dev-util/intltool
-	>=sys-devel/gettext-0.18.1
-"
-# This is a PDEPEND to avoid a circular dep
-PDEPEND="
-	alsa? ( alsa-plugin? ( >=media-plugins/alsa-plugins-1.0.27-r1[pulseaudio,${MULTILIB_USEDEP}] ) )
-"
-
-# alsa-utils dep is for the alsasound init.d script (see bug #155707)
-# bluez dep is for the bluetooth init.d script
-# PyQt4 dep is for the qpaeq script
-RDEPEND="${RDEPEND}
-	equalizer? ( qt4? ( dev-python/PyQt4[dbus] ) )
-	system-wide? (
-		alsa? ( media-sound/alsa-utils )
-		bluetooth? ( >=net-wireless/bluez-5 )
-	)
-"
-
-pkg_pretend() {
-	CONFIG_CHECK="~HIGH_RES_TIMERS"
-	WARNING_HIGH_RES_TIMERS="CONFIG_HIGH_RES_TIMERS:\tis not set (required for enabling timer-based scheduling in pulseaudio)\n"
-	check_extra_config
-
-	if linux_config_exists; then
-		local snd_hda_prealloc_size=$(linux_chkconfig_string SND_HDA_PREALLOC_SIZE)
-		if [ -n "${snd_hda_prealloc_size}" ] && [ "${snd_hda_prealloc_size}" -lt 2048 ]; then
-			ewarn "A preallocated buffer-size of 2048 (kB) or higher is recommended for the HD-audio driver!"
-			ewarn "CONFIG_SND_HDA_PREALLOC_SIZE=${snd_hda_prealloc_size}"
-		fi
-	fi
-}
-
-pkg_setup() {
-	linux-info_pkg_setup
-	gnome2_environment_reset #543364
-
-	enewgroup audio 18 # Just make sure it exists
-
-	if use system-wide; then
-		enewgroup pulse-access
-		enewgroup pulse
-		enewuser pulse -1 -1 /var/run/pulse pulse,audio
-	fi
-}
-
-src_prepare() {
-	default
-
-	# Skip test that cannot work with sandbox, bug #501846
-	sed -i -e '/lock-autospawn-test/d' src/Makefile.am || die
-
-	eautoreconf
-}
-
-multilib_src_configure() {
-	local myconf=()
-
-	if use gdbm; then
-		myconf+=( --with-database=gdbm )
-	else
-		myconf+=( --with-database=simple )
-	fi
-
-	if use bluetooth; then
-		if multilib_is_native_abi; then
-			myconf+=( --enable-bluez5 --disable-bluez4
-				$(use_enable native-headset bluez5-native-headset)
-				$(use_enable ofono-headset bluez5-ofono-headset) )
-		fi
-	else
-		myconf+=( --disable-bluez5 --disable-bluez4 )
-	fi
-
-	myconf+=(
-		--enable-largefile
-		$(use_enable glib glib2)
-		--disable-solaris
-		$(use_enable asyncns)
-		$(use_enable oss oss-output)
-		$(use_enable alsa)
-		$(use_enable lirc)
-		$(use_enable neon neon-opt)
-		$(use_enable tcpd tcpwrap)
-		$(use_enable jack)
-		$(use_enable zeroconf avahi)
-		$(use_enable dbus)
-		$(use_enable gnome gconf)
-		$(use_enable gtk gtk3)
-		$(use_enable libsamplerate samplerate)
-		$(use_enable orc)
-		$(use_enable X x11)
-		$(use_enable test default-build-tests)
-		$(use_enable udev)
-		$(use_with sox soxr)
-		$(use_enable systemd systemd-daemon)
-		$(use_enable systemd systemd-login)
-		$(use_enable systemd systemd-journal)
-		$(use_enable ipv6)
-		$(use_enable ssl openssl)
-		$(use_enable webrtc-aec)
-		$(use_with caps)
-		$(use_with equalizer fftw)
-		--disable-adrian-aec
-		--disable-esound
-		--localstatedir="${EPREFIX}"/var
-		--with-udev-rules-dir="${EPREFIX}/$(get_udevdir)"/rules.d
-		--with-systemduserunitdir=$(systemd_get_userunitdir)
-	)
-
-	if ! multilib_is_native_abi; then
-		# disable all the modules and stuff
-		myconf+=(
-			--disable-oss-output
-			--disable-alsa
-			--disable-lirc
-			--disable-jack
-			--disable-avahi
-			--disable-gconf
-			--disable-gtk3
-			--disable-samplerate
-			--disable-bluez4
-			--disable-bluez5
-			--disable-udev
-			--disable-openssl
-			--disable-orc
-			--disable-webrtc-aec
-			--without-fftw
-			--without-soxr
-
-			# tests involve random modules, so just do them for the native
-			--disable-default-build-tests
-
-			# hack around unnecessary checks
-			# (results don't matter, we're not building anything using it)
-			ac_cv_lib_ltdl_lt_dladvise_init=yes
-			--with-database=simple
-			LIBSPEEX_CFLAGS=' '
-			LIBSPEEX_LIBS=' '
-		)
-	fi
-
-	ECONF_SOURCE=${S} \
-	econf "${myconf[@]}"
-}
-
-multilib_src_compile() {
-	if multilib_is_native_abi; then
-		emake
-		use doc && emake doxygen
-	else
-		local targets=( libpulse.la libpulse-simple.la )
-		use glib && targets+=( libpulse-mainloop-glib.la )
-		emake -C src libpulse{,dsp,-simple,-mainloop-glib}.la
-	fi
-}
-
-multilib_src_test() {
-	# We avoid running the toplevel check target because that will run
-	# po/'s tests too, and they are broken. Officially, it should work
-	# with intltool 0.41, but that doesn't look like a stable release.
-	if multilib_is_native_abi; then
-		emake -C src check
-	fi
-}
-
-multilib_src_install() {
-	if multilib_is_native_abi; then
-		emake -j1 DESTDIR="${D}" bashcompletiondir="$(get_bashcompdir)" install
-		use doc && dohtml -r doxygen/html/
-	else
-		local targets=( libpulse.la libpulse-simple.la )
-		use glib && targets+=( libpulse-mainloop-glib.la )
-		emake DESTDIR="${D}" install-pkgconfigDATA
-		emake DESTDIR="${D}" -C src \
-			install-libLTLIBRARIES \
-			install-padsplibLTLIBRARIES \
-			lib_LTLIBRARIES="${targets[*]}" \
-			install-pulseincludeHEADERS
-	fi
-}
-
-multilib_src_install_all() {
-	# Drop the script entirely if X is disabled
-	use X || rm "${ED}"/usr/bin/start-pulseaudio-x11
-
-	if use system-wide; then
-		newconfd "${FILESDIR}/pulseaudio.conf.d" pulseaudio
-
-		use_define() {
-			local define=${2:-$(echo $1 | tr '[:lower:]' '[:upper:]')}
-
-			use "$1" && echo "-D$define" || echo "-U$define"
-		}
-
-		unifdef $(use_define zeroconf AVAHI) \
-			$(use_define alsa) \
-			$(use_define bluetooth) \
-			$(use_define udev) \
-			"${FILESDIR}/pulseaudio.init.d-5" \
-			> "${T}/pulseaudio"
-
-		doinitd "${T}/pulseaudio"
-
-		systemd_dounit "${FILESDIR}/${PN}.service"
-	fi
-
-	use zeroconf && sed -i -e '/module-zeroconf-publish/s:^#::' "${ED}/etc/pulse/default.pa"
-
-	dodoc NEWS README todo
-
-	# Create the state directory
-	use prefix || diropts -o pulse -g pulse -m0755
-
-	# We need /var/run/pulse, bug #442852
-	use system-wide && systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles" "${PN}.conf"
-
-	# Prevent warnings when system-wide is not used, bug #447694
-	use system-wide || rm "${ED}"/etc/dbus-1/system.d/pulseaudio-system.conf
-
-	prune_libtool_files --all
-}
-
-pkg_postinst() {
-	if use system-wide; then
-		elog "You have enabled the 'system-wide' USE flag for pulseaudio."
-		elog "This mode should only be used on headless servers, embedded systems,"
-		elog "or thin clients. It will usually require manual configuration, and is"
-		elog "incompatible with many expected pulseaudio features."
-		elog "On normal desktop systems, system-wide mode is STRONGLY DISCOURAGED."
-		elog "For more information, see"
-		elog "    https://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/WhatIsWrongWithSystemWide/"
-		elog "    https://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/SystemWide/"
-		elog "    https://wiki.gentoo.org/wiki/PulseAudio#Headless_server"
-		if use gnome ; then
-			elog
-			elog "By enabling gnome USE flag, you enabled gconf support. Please note"
-			elog "that you might need to remove the gnome USE flag or disable the"
-			elog "gconf module on /etc/pulse/system.pa to be able to use PulseAudio"
-			elog "with a system-wide instance."
-		fi
-	fi
-
-	if use equalizer && ! use qt4; then
-		elog "You've enabled the 'equalizer' USE-flag but not the 'qt4' USE-flag."
-		elog "This will build the equalizer module, but the 'qpaeq' tool"
-		elog "which is required to set equalizer levels will not work."
-	fi
-
-	if use native-headset && use ofono-headset; then
-		elog "You have enabled both native and ofono headset profiles. The runtime decision"
-		elog "which to use is done via the 'headset' argument of module-bluetooth-discover."
-	fi
-
-	if use libsamplerate; then
-		elog "The libsamplerate based resamplers are now deprecated, because they offer no"
-		elog "particular advantage over speex. Upstream suggests disabling them."
-	fi
-}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2019-08-12 20:09 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-09-11 13:43 [gentoo-commits] repo/dev/tamiko:master commit in: media-sound/pulseaudio/, media-sound/pulseaudio/files/ Matthias Maier
  -- strict thread matches above, loose matches on Subject: below --
2019-08-12 20:09 Matthias Maier

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox